"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const ember_cli_babel_plugin_helpers_1 = require("ember-cli-babel-plugin-helpers");
const namespace_addon_imports_babel_1 = __importDefault(require("../plugins/namespace-addon-imports-babel"));
/**
 * Add a babel plugin to the parent registry for transforming import statements.
 *
 * Note: "user plugins" are referenced here: https://github.com/babel/ember-cli-babel/blob/03324217d4ec9b783362d943a31916538ca36510/index.js#L292
 */
function namespaceImports(appOrAddon, name, cacheKey) {
    appOrAddon.options = appOrAddon.options || {};
    appOrAddon.options.babel = appOrAddon.options.babel || {};
    appOrAddon.options.babel.plugins = appOrAddon.options.babel.plugins || [];
    const appOrAddonName = typeof appOrAddon.name === 'function' ? appOrAddon.name() : appOrAddon.name;
    // console.log('namespacing imports:', appOrAddonName, name, cacheKey, appOrAddon.options.babel.plugins.length);
    ember_cli_babel_plugin_helpers_1.addPlugin(appOrAddon.options.babel.plugins, [
        namespace_addon_imports_babel_1.default(),
        {
            name,
            cacheKey,
            appOrAddonName
        },
        `${name}-${cacheKey}-${appOrAddonName}`
    ]);
}
exports.namespaceImports = namespaceImports;
//# sourceMappingURL=namespace-imports.js.map